Examples

PUT /katello/api/activation_keys/568942081/host_collections
{
  "organization_id": 114267492,
  "host_collection_ids": [],
  "activation_key": {
    "organization_id": 114267492,
    "host_collection_ids": []
  }
}
200
{
  "service_level": null,
  "content_overrides": [],
  "id": 568942081,
  "name": "Simple Activation Key",
  "description": "A simple activation key.",
  "unlimited_hosts": true,
  "content_view_environment_labels": "library_default_view_library",
  "usage_count": 0,
  "user_id": null,
  "max_hosts": null,
  "release_version": null,
  "purpose_usage": null,
  "purpose_role": null,
  "organization_id": 114267492,
  "organization": {
    "name": "Empty Organization",
    "label": "Empty_Organization",
    "id": 114267492
  },
  "created_at": "2026-11-03 08:05:52 UTC",
  "updated_at": "2026-11-03 08:05:52 UTC",
  "content_view_environments": [
    {
      "content_view": {
        "id": 30237652,
        "name": "ACME Default ContentView",
        "label": "org_default_label",
        "composite": false,
        "rolling": false,
        "content_view_version": "1.0",
        "content_view_version_id": 840492357,
        "content_view_version_latest": true,
        "content_view_default": true,
        "content_view_environment_id": 361865081
      },
      "lifecycle_environment": {
        "id": 562075838,
        "name": "Library",
        "label": "library_label",
        "lifecycle_environment_library": true
      },
      "label": "library_default_view_library"
    }
  ],
  "host_collections": [],
  "multi_content_view_environment": false,
  "permissions": {
    "view_activation_keys": true,
    "edit_activation_keys": true,
    "destroy_activation_keys": true
  }
}

Params

Param name Description
id
required

ID of the activation key

Validations:

  • Must be a number.

host_collection_ids
required

List of host collection IDs to disassociate from the activation key

Validations:

  • Must be an array of any type